---
title: "List templates"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › collections

`GET /v2/collections/templates`

## Query parameters

- `includeInactive` (`collection-list-templates.query.includeInactive`; boolean, optional)
  - default `false`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/collections/templates
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/collections/templates';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/collections/templates"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "label": "string",
      "description": "string",
      "defaultName": "string",
      "defaultDescription": "string",
      "suggestedAssetTypes": [
        "string"
      ],
      "requiredAssetTypes": [
        "string"
      ],
      "childCollections": [
        {
          "name": "string",
          "description": "string",
          "children": [
            null
          ]
        }
      ],
      "isActive": true,
      "sortOrder": 0,
      "createdBy": "string",
      "updatedBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`collection-list-templates.response.200.data`; array<object>, required)
  - `key` (`collection-list-templates.response.200.data.key`; string, required)
    - pattern `^[a-z0-9]+(?:_[a-z0-9]+)*$`
  - `label` (`collection-list-templates.response.200.data.label`; string, required)
  - `description` (`collection-list-templates.response.200.data.description`; string, required)
  - `defaultName` (`collection-list-templates.response.200.data.defaultName`; string, required)
  - `defaultDescription` (`collection-list-templates.response.200.data.defaultDescription`; string, required)
  - `suggestedAssetTypes` (`collection-list-templates.response.200.data.suggestedAssetTypes`; array<string>, required)
  - `requiredAssetTypes` (`collection-list-templates.response.200.data.requiredAssetTypes`; array<string>, required)
  - `isActive` (`collection-list-templates.response.200.data.isActive`; boolean, required)
  - `sortOrder` (`collection-list-templates.response.200.data.sortOrder`; number, required)
  - `id` (`collection-list-templates.response.200.data.id`; string, optional)
    - format `uuid`
  - `childCollections` (`collection-list-templates.response.200.data.childCollections`; array<object>, optional)
    - `name` (`collection-list-templates.response.200.data.childCollections.name`; string, required)
      - minLength 1; maxLength 255
    - `description` (`collection-list-templates.response.200.data.childCollections.description`; string, optional)
      - maxLength 2000
    - `children` (`collection-list-templates.response.200.data.childCollections.children`; array<unknown>, optional)
  - `createdBy` (`collection-list-templates.response.200.data.createdBy`; string, optional, nullable)
  - `updatedBy` (`collection-list-templates.response.200.data.updatedBy`; string, optional, nullable)
  - `createdAt` (`collection-list-templates.response.200.data.createdAt`; string, optional)
  - `updatedAt` (`collection-list-templates.response.200.data.updatedAt`; string, optional)
- `meta` (`collection-list-templates.response.200.meta`; object, required)
  - `total` (`collection-list-templates.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`collection-list-templates.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`collection-list-templates.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`collection-list-templates.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`collection-list-templates.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`collection-list-templates.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-templates.response.400.error`; object, required)
  - `code` (`collection-list-templates.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-templates.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-templates.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-templates.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-templates.response.401.error`; object, required)
  - `code` (`collection-list-templates.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-templates.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-templates.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-templates.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-templates.response.403.error`; object, required)
  - `code` (`collection-list-templates.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-templates.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-templates.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-templates.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-templates.response.404.error`; object, required)
  - `code` (`collection-list-templates.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-templates.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-templates.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-templates.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-templates.response.409.error`; object, required)
  - `code` (`collection-list-templates.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-templates.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-templates.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-templates.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-templates.response.500.error`; object, required)
  - `code` (`collection-list-templates.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-templates.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-templates.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-templates.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/collection-list-templates/index.md
